std::char_traits(3)

NAME
std::char_traits -

SYNOPSIS

Inherits char_traits< _CharT >.

Inherited by encoding_char_traits.

Detailed Description

  template<class _CharT> struct std::char_traits< _CharT >
Note:
    For any given actual character type, this definition is probably wrong. Since this is just a thin wrapper around __gnu_cxx::char_traits, it is possible to achieve a more appropriate definition by specializing __gnu_cxx::char_traits.

See http://gcc.gnu.org/onlinedocs/libstdc++/21_strings/howto.html#5 for advice on how to make use of this class for 'unusual' character types. Also, check out include/ext/pod_char_traits.h.

Definition at line 225 of file char_traits.h.

  Public Types
typedef _CharT char_type
typedef _Char_types< _CharT >::int_type int_type
typedef _Char_types< _CharT >::off_type off_type
typedef _Char_types< _CharT >::pos_type pos_type
typedef _Char_types< _CharT >::state_type state_type

  Static Public Member Functions
static char_type * assign (char_type *__s, std::size_t __n, char_type __a)
static void assign (char_type &__c1, const char_type &__c2)
static int compare (const char_type *__s1, const char_type *__s2, std::size_t __n)
static char_type * copy (char_type *__s1, const char_type *__s2, std::size_t __n)
static int_type eof ()
static bool eq (const char_type &__c1, const char_type &__c2)
static bool eq_int_type (const int_type &__c1, const int_type &__c2)
static const char_type * find (const char_type *__s, std::size_t __n, const char_type &__a)
static std::size_t length (const char_type *__s)
static bool lt (const char_type &__c1, const char_type &__c2)
static char_type * move (char_type *__s1, const char_type *__s2, std::size_t __n)
static int_type not_eof (const int_type &__c)
static char_type to_char_type (const int_type &__c)
static int_type to_int_type (const char_type &__c)

Author

Generated automatically by Doxygen for libstdc++ from the source code.